<?php



$tdataEntregas = array();
$tdataEntregas[".searchableFields"] = array();
$tdataEntregas[".ShortName"] = "Entregas";
$tdataEntregas[".OwnerID"] = "";
$tdataEntregas[".OriginalTable"] = "Entregas";


$tdataEntregas[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataEntregas[".originalPagesByType"] = $tdataEntregas[".pagesByType"];
$tdataEntregas[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataEntregas[".originalPages"] = $tdataEntregas[".pages"];
$tdataEntregas[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataEntregas[".originalDefaultPages"] = $tdataEntregas[".defaultPages"];

//	field labels
$fieldLabelsEntregas = array();
$fieldToolTipsEntregas = array();
$pageTitlesEntregas = array();
$placeHoldersEntregas = array();

if(mlang_getcurrentlang()=="Portuguese(Standard)")
{
	$fieldLabelsEntregas["Portuguese(Standard)"] = array();
	$fieldToolTipsEntregas["Portuguese(Standard)"] = array();
	$placeHoldersEntregas["Portuguese(Standard)"] = array();
	$pageTitlesEntregas["Portuguese(Standard)"] = array();
	$fieldLabelsEntregas["Portuguese(Standard)"]["CodEntrega"] = "Cod Entrega";
	$fieldToolTipsEntregas["Portuguese(Standard)"]["CodEntrega"] = "";
	$placeHoldersEntregas["Portuguese(Standard)"]["CodEntrega"] = "";
	$fieldLabelsEntregas["Portuguese(Standard)"]["DataEncomenda"] = "Data Encomenda";
	$fieldToolTipsEntregas["Portuguese(Standard)"]["DataEncomenda"] = "";
	$placeHoldersEntregas["Portuguese(Standard)"]["DataEncomenda"] = "";
	$fieldLabelsEntregas["Portuguese(Standard)"]["DataChegada"] = "Data Chegada";
	$fieldToolTipsEntregas["Portuguese(Standard)"]["DataChegada"] = "";
	$placeHoldersEntregas["Portuguese(Standard)"]["DataChegada"] = "";
	$fieldLabelsEntregas["Portuguese(Standard)"]["Descri__o"] = "Descrição";
	$fieldToolTipsEntregas["Portuguese(Standard)"]["Descri__o"] = "";
	$placeHoldersEntregas["Portuguese(Standard)"]["Descri__o"] = "";
	if (count($fieldToolTipsEntregas["Portuguese(Standard)"]))
		$tdataEntregas[".isUseToolTips"] = true;
}


	$tdataEntregas[".NCSearch"] = true;


	$tdataEntregas[".scrollGridBody"] = true;

$tdataEntregas[".shortTableName"] = "Entregas";
$tdataEntregas[".nSecOptions"] = 0;

$tdataEntregas[".mainTableOwnerID"] = "";
$tdataEntregas[".entityType"] = 0;

$tdataEntregas[".strOriginalTableName"] = "Entregas";

	



$tdataEntregas[".showAddInPopup"] = true;

$tdataEntregas[".showEditInPopup"] = false;

$tdataEntregas[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
			;
$popupPagesLayoutNames["add"] = "add";
$tdataEntregas[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataEntregas[".listAjax"] = false;
//	temporary
$tdataEntregas[".listAjax"] = false;

	$tdataEntregas[".audit"] = true;

	$tdataEntregas[".locking"] = true;


$pages = $tdataEntregas[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataEntregas[".edit"] = true;
	$tdataEntregas[".afterEditAction"] = 1;
	$tdataEntregas[".closePopupAfterEdit"] = 1;
	$tdataEntregas[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataEntregas[".add"] = true;
$tdataEntregas[".afterAddAction"] = 1;
$tdataEntregas[".closePopupAfterAdd"] = 1;
$tdataEntregas[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataEntregas[".list"] = true;
}



$tdataEntregas[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataEntregas[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataEntregas[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataEntregas[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataEntregas[".printFriendly"] = true;
}



$tdataEntregas[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataEntregas[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataEntregas[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataEntregas[".isUseAjaxSuggest"] = true;

$tdataEntregas[".rowHighlite"] = true;



			

$tdataEntregas[".ajaxCodeSnippetAdded"] = false;

$tdataEntregas[".buttonsAdded"] = false;

$tdataEntregas[".addPageEvents"] = false;

// use timepicker for search panel
$tdataEntregas[".isUseTimeForSearch"] = false;




$tdataEntregas[".allSearchFields"] = array();
$tdataEntregas[".filterFields"] = array();
$tdataEntregas[".requiredSearchFields"] = array();

$tdataEntregas[".googleLikeFields"] = array();
$tdataEntregas[".googleLikeFields"][] = "CodEntrega";
$tdataEntregas[".googleLikeFields"][] = "DataEncomenda";
$tdataEntregas[".googleLikeFields"][] = "DataChegada";
$tdataEntregas[".googleLikeFields"][] = "Descrição";



$tdataEntregas[".tableType"] = "list";

$tdataEntregas[".printerPageOrientation"] = 0;
$tdataEntregas[".nPrinterPageScale"] = 100;

$tdataEntregas[".nPrinterSplitRecords"] = 40;

$tdataEntregas[".geocodingEnabled"] = false;










$tdataEntregas[".pageSize"] = 999;

$tdataEntregas[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataEntregas[".strOrderBy"] = $tstrOrderBy;

$tdataEntregas[".orderindexes"] = array();

$tdataEntregas[".sqlHead"] = "SELECT CodEntrega,  	DataEncomenda,  	DataChegada,  	`Descrição`";
$tdataEntregas[".sqlFrom"] = "FROM Entregas";
$tdataEntregas[".sqlWhereExpr"] = "";
$tdataEntregas[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataEntregas[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataEntregas[".arrGroupsPerPage"] = $arrGPP;

$tdataEntregas[".highlightSearchResults"] = true;

$tableKeysEntregas = array();
$tableKeysEntregas[] = "CodEntrega";
$tdataEntregas[".Keys"] = $tableKeysEntregas;


$tdataEntregas[".hideMobileList"] = array();




//	CodEntrega
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "CodEntrega";
	$fdata["GoodName"] = "CodEntrega";
	$fdata["ownerTable"] = "Entregas";
	$fdata["Label"] = GetFieldLabel("Entregas","CodEntrega");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "CodEntrega";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CodEntrega";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataEntregas["CodEntrega"] = $fdata;
		$tdataEntregas[".searchableFields"][] = "CodEntrega";
//	DataEncomenda
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "DataEncomenda";
	$fdata["GoodName"] = "DataEncomenda";
	$fdata["ownerTable"] = "Entregas";
	$fdata["Label"] = GetFieldLabel("Entregas","DataEncomenda");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "DataEncomenda";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "DataEncomenda";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
	
	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataEntregas["DataEncomenda"] = $fdata;
		$tdataEntregas[".searchableFields"][] = "DataEncomenda";
//	DataChegada
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "DataChegada";
	$fdata["GoodName"] = "DataChegada";
	$fdata["ownerTable"] = "Entregas";
	$fdata["Label"] = GetFieldLabel("Entregas","DataChegada");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "DataChegada";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "DataChegada";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataEntregas["DataChegada"] = $fdata;
		$tdataEntregas[".searchableFields"][] = "DataChegada";
//	Descrição
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Descrição";
	$fdata["GoodName"] = "Descri__o";
	$fdata["ownerTable"] = "Entregas";
	$fdata["Label"] = GetFieldLabel("Entregas","Descri__o");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "Descrição";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Descrição`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataEntregas["Descrição"] = $fdata;
		$tdataEntregas[".searchableFields"][] = "Descrição";


$tables_data["Entregas"]=&$tdataEntregas;
$field_labels["Entregas"] = &$fieldLabelsEntregas;
$fieldToolTips["Entregas"] = &$fieldToolTipsEntregas;
$placeHolders["Entregas"] = &$placeHoldersEntregas;
$page_titles["Entregas"] = &$pageTitlesEntregas;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["Entregas"] = array();
//	Vinha
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="Vinha";
		$detailsParam["dOriginalTable"] = "Vinha";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "Vinha";
	$detailsParam["dCaptionTable"] = GetTableCaption("Vinha");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["Entregas"][$dIndex] = $detailsParam;

	
		$detailsTablesData["Entregas"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["Entregas"][$dIndex]["masterKeys"][]="CodEntrega";

				$detailsTablesData["Entregas"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["Entregas"][$dIndex]["detailKeys"][]="NEntrega";
//	Entrega Vinha Report
	
	

		$dIndex = 1;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="Entrega Vinha Report";
		$detailsParam["dOriginalTable"] = "Vinha";



		$detailsParam["dType"]=PAGE_REPORT;
			$detailsParam["dShortTable"] = "Entrega_Vinha_Report";
	$detailsParam["dCaptionTable"] = GetTableCaption("Entrega_Vinha_Report");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["Entregas"][$dIndex] = $detailsParam;

	
		$detailsTablesData["Entregas"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["Entregas"][$dIndex]["masterKeys"][]="CodEntrega";

				$detailsTablesData["Entregas"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["Entregas"][$dIndex]["detailKeys"][]="NEntrega";

// tables which are master tables for current table (detail)
$masterTablesData["Entregas"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_Entregas()
{
$proto1=array();
$proto1["m_strHead"] = "SELECT";
$proto1["m_strFieldList"] = "CodEntrega,  	DataEncomenda,  	DataChegada,  	`Descrição`";
$proto1["m_strFrom"] = "FROM Entregas";
$proto1["m_strWhere"] = "";
$proto1["m_strOrderBy"] = "";
	
		;
			$proto1["cipherer"] = null;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = false;
$proto3["m_inBrackets"] = false;
$proto3["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto3);

$proto1["m_where"] = $obj;
$proto5=array();
$proto5["m_sql"] = "";
$proto5["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto5["m_column"]=$obj;
$proto5["m_contained"] = array();
$proto5["m_strCase"] = "";
$proto5["m_havingmode"] = false;
$proto5["m_inBrackets"] = false;
$proto5["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto5);

$proto1["m_having"] = $obj;
$proto1["m_fieldlist"] = array();
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "CodEntrega",
	"m_strTable" => "Entregas",
	"m_srcTableName" => "Entregas"
));

$proto7["m_sql"] = "CodEntrega";
$proto7["m_srcTableName"] = "Entregas";
$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto1["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "DataEncomenda",
	"m_strTable" => "Entregas",
	"m_srcTableName" => "Entregas"
));

$proto9["m_sql"] = "DataEncomenda";
$proto9["m_srcTableName"] = "Entregas";
$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto1["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "DataChegada",
	"m_strTable" => "Entregas",
	"m_srcTableName" => "Entregas"
));

$proto11["m_sql"] = "DataChegada";
$proto11["m_srcTableName"] = "Entregas";
$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto1["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "Descrição",
	"m_strTable" => "Entregas",
	"m_srcTableName" => "Entregas"
));

$proto13["m_sql"] = "`Descrição`";
$proto13["m_srcTableName"] = "Entregas";
$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto1["m_fieldlist"][]=$obj;
$proto1["m_fromlist"] = array();
												$proto15=array();
$proto15["m_link"] = "SQLL_MAIN";
			$proto16=array();
$proto16["m_strName"] = "Entregas";
$proto16["m_srcTableName"] = "Entregas";
$proto16["m_columns"] = array();
$proto16["m_columns"][] = "CodEntrega";
$proto16["m_columns"][] = "DataEncomenda";
$proto16["m_columns"][] = "DataChegada";
$proto16["m_columns"][] = "Descrição";
$obj = new SQLTable($proto16);

$proto15["m_table"] = $obj;
$proto15["m_sql"] = "Entregas";
$proto15["m_alias"] = "";
$proto15["m_srcTableName"] = "Entregas";
$proto17=array();
$proto17["m_sql"] = "";
$proto17["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto17["m_column"]=$obj;
$proto17["m_contained"] = array();
$proto17["m_strCase"] = "";
$proto17["m_havingmode"] = false;
$proto17["m_inBrackets"] = false;
$proto17["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto17);

$proto15["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto15);

$proto1["m_fromlist"][]=$obj;
$proto1["m_groupby"] = array();
$proto1["m_orderby"] = array();
$proto1["m_srcTableName"]="Entregas";		
$obj = new SQLQuery($proto1);

	return $obj;
}
$queryData_Entregas = createSqlQuery_Entregas();


	
		;

				

$tdataEntregas[".sqlquery"] = $queryData_Entregas;

$tableEvents["Entregas"] = new eventsBase;
$tdataEntregas[".hasEvents"] = false;

?>